<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Firma extends CI_Controller {

    public $user_data = array();

    public function __construct() {
        parent::__construct();
        $this->user_data = $this->ion_auth->check_user_privilege(array('Firma', 'Admin'));
        $this->load->model(array('Firma_model'));
        $this->breadcrumbs->push('Start', '/');
        $this->company_id = $this->ion_auth->user()->row()->id;
        $this->company = $this->ion_auth->user()->row()->company;
        
        $this->base_url = base_url() . '/firma/' . $this->router->fetch_method();
    }
    

    public function index($company_id = null) {
        if (!is_numeric($company_id))
            redirect('/');
        if (!($this->user_data['is_admin'] or ( $company_id == $this->company_id) and $this->user_data['is_firma'])) {
            $this->session->set_flashdata('error', 'Nie masz uprawnień');
            redirect('/');
        }
        $this->breadcrumbs->push('Firma', '/firma/index/' . $company_id);
        $data['company_id'] = $company_id;
        $this->load->view('Base_header');
        $this->load->view('firma/index', $data);
        $this->load->view('Base_footer');
    }
    
        #################################################################################
    #                               RANKING KANDYDATOW
    #################################################################################    
    
    public function RankingKandydatow($komunikatStr = false)
	{
		$this->load->model('Wspolne_model');
        //$this->pre($_SESSION);
        $data['active'] = 'Firma';
        $data['company_id'] = $this->company_id;
		$this->breadcrumbs->push('Start', '/StronaGlowna');
		$this->breadcrumbs->push('Firma', '/Firma');
        $this->breadcrumbs->push('Ranking kandydatów', 'Firma/RankingKandydatow');
		$data['breadcrumbs'] = $this->breadcrumbs->show();

        if($komunikatStr == false){
            $data['komunikat'] = false;    
        }
        else{
            if($komunikatStr == 'Ok'){
            $data['komunikatTyp'] = 'success';
            $data['komunikatTresc'] = 'Dane zostały pomyślnie uaktualnione.';                 
            }
            else{
                $data['komunikatTyp'] = 'danger';
                $data['komunikatTresc'] = 'Błąd podczas zmiany danych!';                 
            }
            $data['komunikat'] = true;

        } 
        
        //$this->pre($_SESSION);
 		$data['poleKomentarz'] = array(
			'class'		=> 'form-control margtop20',
			'name'		=> 'poleKomentarzUcznia',
            'placeholder'     => 'Jeśli chcesz, możesz dodać tu swój komentarz',
		); 
        
        
        
        $data['buttonOcenUcznia'] = array(
			'class'		=> 'btn btn-primary btn-block display-none margtop20',
			'name'		=> 'zapiszOceneUcznia',
            'value'     => 'Oceń',
		);  
        //$this->pre($_POST);
        
//        if ($this->input->post('zapiszOceneUcznia')) {
//            
//            $idOcenianego = $this->input->post('przygotujOceneUcznia');
//            
//        
//            $ocena = $this->input->post('ocenaUcznia');    
//            $komentarz = $this->input->post('poleKomentarzUcznia');
//                
//            $zapisz = $this->Firma_model->dodajOceneUcznia($idOcenianego, $user, $ocena, $komentarz);
//            if($zapisz){
//                redirect( base_url('Firma/RankingKandydatow/Ok') );
//            }
//            else{
//                $data['komunikat'] = true;
//                $data['komunikatTyp'] = 'success';
//                $data['komunikatTresc'] = 'Dane zostały pomyślnie uaktualnione.';                
//            }
//            
//        }
        
                                                            // zamiast pobierzListePracodawcow
        //$data['dropdownUczen'] = $this->Pracodawca_model->pobierzListeUczniow();
        $data['listaKontraktacjiStaze'] = $this->Firma_model->pobierzMojeStatusy($this->company_id); // id pracodawcy zalogowanego
        //$data['listaKontraktacjiZadania'] = $this->Pracodawca_model->pobierzKontrZadania($user);
        
        //$this->pre($data['listaKontraktacjiStaze']);
        $data['listaZadanStart'] = array();
        
        
		$this->load->view('Base_header', $data);
		$this->load->view('firma/rankingKandydatow_widok', $data);
		$this->load->view('Base_footer', $data);
	} 
    
    
    public function AkceptujKontraktacje($idKontr, $status){
        $dane = $this->Firma_model->AkceptujKontraktacje($idKontr, $status);
        if($dane){
            redirect(base_url('Firma/RankingKandydatow/Ok') );
        }
        else{
            redirect(base_url('Firma/RankingKandydatow/Error') );
        }
        
    }
    
    
    
    
    
    
    
    
    
    
    

}
